﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WpfDesktopEdition;

namespace ErreurDll
{
    /// <summary>
    /// Logique d'interaction pour MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {

        private string connectString = "Data Source=.\\SQLEXPRESS;Initial Catalog=Siane_13858Ext;Persist Security Info=True;Integrated Security=true";
        public MainWindow()
        {
            InitializeComponent();
        }

        private void mapSiane_Loaded(object sender, RoutedEventArgs e)
        {
            MsSql2008FeatureLayer sql2008Layer = new MsSql2008FeatureLayer();
            sql2008Layer.ConnectionString = connectString;
            sql2008Layer.CustomGeometryColumnName = "FormeGeom";
            sql2008Layer.Srid = 2154;
            sql2008Layer.TableName = "Cartographie.Cartodetourage";
            sql2008Layer.FeatureIdColumn = "CartoDetourageId";
            LayerOverlay l = new LayerOverlay();
            l.Layers.Add(sql2008Layer);
            mapSiane.Overlays.Add("toto", l);
            mapSiane.Refresh();
        }

    }
}
